<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:template="http://www.boddie.org.uk/ns/xmltools/template"
                version="1.0">

  <xsl:param name="categories"/>

  <xsl:template match="discriminator">
    <xsl:copy>
      <xsl:element name="category">
        <xsl:attribute name="value"><xsl:value-of select="@category"/></xsl:attribute>
        <xsl:copy-of select="$categories/category/category-enum"/>
      </xsl:element>
    </xsl:copy>
  </xsl:template>

  <!-- Replicate unknown elements. -->

  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>

</xsl:stylesheet>
